%global gittagdate 20200327
%global gittagdate 20200717

# Disable debuginfo because it is of no use to us.
%global debug_package %{nil}

%if 0%{?mageia:1}
%define cross 1
%endif

%global gittag qemu-slof-%{gittagdate}

Name:           slof
Version:        0.1.git%{gittagdate}
Release:        %mkrel 5
Summary:        Slimline Open Firmware
Group:		Emulators

License:        BSD
URL:            http://www.openfirmware.info/SLOF


# There are no upstream tarballs.  To prepare a tarball, do:
#
# git clone git://github.com/aik/SLOF.git
# cd SLOF
# git archive -o ../SLOF-{gittagdate}.tar.gz \
#     --prefix=SLOF-{gittagdate}/ {gittag}
Source0:        SLOF-%{gittagdate}.tar.gz


%if 0%{?cross:1}
BuildArch:      noarch
BuildRequires:  gcc-powerpc64-linux-gnu
%else
ExclusiveArch:  ppc64le
%endif

BuildRequires:  gcc
BuildRequires:  perl
BuildRequires:  perl(Getopt::Std)
BuildRequires:  perl(Data::Dumper)
Provides:	SLOF
Conflicts:	qemu < 2.6.0


%description
Slimline Open Firmware (SLOF) is initialization and boot source code
based on the IEEE-1275 (Open Firmware) standard, developed by
engineers of the IBM Corporation.

The SLOF source code provides illustrates what's needed to initialize
and boot Linux or a hypervisor on the industry Open Firmware boot
standard.

Note that you normally wouldn't need to install this package
separately.  It is a dependency of qemu-system-ppc64.


%prep
%setup -q -n SLOF-%{gittagdate}
%autopatch -p1

%build
%if 0%{?cross:1}
export CROSS="powerpc64-linux-gnu-"
%endif
make qemu %{?_smp_mflags} V=2


%install
mkdir -p %{buildroot}%{_datadir}/qemu
cp -a boot_rom.bin %{buildroot}%{_datadir}/qemu/slof.bin


%files
%doc LICENSE
%doc README
%dir %{_datadir}/qemu
%{_datadir}/qemu/slof.bin




%changelog
* Tue Sep 08 2020 tv <tv> 0.1.git20200717-5.mga8
+ Revision: 1623515
- build with cross-compiler
- Update to SLOF 20200717

* Wed Feb 12 2020 umeabot <umeabot> 0.1.git20160223-4.mga8
+ Revision: 1500101
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.git20160223-3.mga7
+ Revision: 1275439
- Mageia 7 Mass Rebuild

* Mon May 23 2016 pterjan <pterjan> 0.1.git20160223-2.mga6
+ Revision: 1017893
- Add conflict with older qemu which contained slof.bin

* Mon Apr 18 2016 tv <tv> 0.1.git20160223-1.mga6
+ Revision: 1003317
- imported package slof

